<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.MusicGroupStudentFeeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.MusicGroupStudentFee">
        <id column="id_" property="id" />
        <result column="music_group_id_" property="musicGroupId" />
        <result column="user_id_" property="userId" />
        <result column="course_fee_" property="courseFee" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="next_payment_date_" property="nextPaymentDate" />
        <result column="latest_paid_time_" property="latestPaidTime" />
        <result column="continuous_absenteeism_times_" property="continuousAbsenteeismTimes" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, music_group_id_, user_id_, course_fee_, create_time_, update_time_, next_payment_date_, latest_paid_time_, continuous_absenteeism_times_
    </sql>

</mapper>
